Scriptname DB01QuestScript extends Quest Conditional 

int Property GrelodThreatened  Auto Conditional  

int Property EnterOrphanage  Auto Conditional  

int Property ChildrenCheer  Auto Conditional

int Property GrelodAlreadyDead Auto Conditional

int Property GrelodDeadChoice Auto Conditional

;Event OnInit()

;RegisterForUpdate(5)

;EndEvent

;USKP 2.0.4 - Take care of setting Aventus up to move to Riften.
Faction Property CrimeFactionEastmarch  Auto  
Faction Property CrimeFactionRift  Auto  
Faction Property WindhelmAretinoResidenceFaction  Auto  
Faction Property TownRiftenFaction  Auto  
Faction Property TownWindhelmFaction  Auto  
Actor Property AventusAretinoREF  Auto
Actor Property AngrenorREF  Auto

Function MoveAventusOut()
	;Fix up Aventus Aretino so that he will switch factions properly at the end of DB01.
	AventusAretinoREF.RemoveFromFaction(CrimeFactionEastmarch)
	AventusAretinoREF.RemoveFromFaction(TownWindhelmFaction)
	AventusAretinoREF.RemoveFromFaction(WindhelmAretinoResidenceFaction)
	AventusAretinoREF.AddToFaction(CrimeFactionRift)
	AventusAretinoREF.AddToFaction(TownRiftenFaction)
	AventusAretinoREF.SetCrimeFaction(CrimeFactionRift)

	;Fix Angrenor so that he switched ownership factions and moves into Aventus' old house.
	AngrenorREF.AddToFaction(WindhelmAretinoResidenceFaction)
EndFunction
